// AttributeChangerDlg.h : header file
//

#if !defined(AFX_ATTRIBUTECHANGERDLG_H__0058E59D_8053_4E17_9934_F9E0FC2297A5__INCLUDED_)
#define AFX_ATTRIBUTECHANGERDLG_H__0058E59D_8053_4E17_9934_F9E0FC2297A5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CAttributeChangerDlg dialog

class CAttributeChangerDlg : public CDialog
{
// Construction
public:
	void ParseDir(CString dpath);
	void ChangeInDir(CString dpath);
	CAttributeChangerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAttributeChangerDlg)
	enum { IDD = IDD_ATTRIBUTECHANGER_DIALOG };
	CString	m_Attrib;
	CString	m_Data;
	CString	m_NewData;
	CString	m_Path;
	CString	m_WildCard;
	BOOL	m_Recurse;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAttributeChangerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CAttributeChangerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnChange();
	afx_msg void OnBrowse();
	afx_msg void OnExit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ATTRIBUTECHANGERDLG_H__0058E59D_8053_4E17_9934_F9E0FC2297A5__INCLUDED_)
